Index: apps/app_parkandannounce.c
===================================================================
--- apps/app_parkandannounce.c	(revision 7816)
+++ apps/app_parkandannounce.c	(working copy)
@@ -58,12 +58,14 @@
 
 static char *descrip =
 "  ParkAndAnnounce(announce:template|timeout|dial|[return_context]):\n"
-"Park a call into the parkinglot and announce the call over the console.\n"
+"Park a call into the parkinglot and announce the call to another channel.\n"
 "announce template: colon separated list of files to announce, the word PARKED\n"
 "                   will be replaced by a say_digits of the ext the call is parked in\n"
 "timeout: time in seconds before the call returns into the return context.\n"
 "dial: The app_dial style resource to call to make the announcement. Console/dsp calls the console.\n"
-"return_context: the goto style label to jump the call back into after timeout. default=prio+1\n";
+"return_context: the goto style label to jump the call back into after timeout. default=prio+1\n"
+"the variable ${PARKEDAT} contains the parking extension that the call was placed into.  Use with\n"
+"the Local/ channel to allow the dialplan to make use of this information.\n";
 
 
 STANDARD_LOCAL_USER;
@@ -78,6 +80,7 @@
 	char *working, *context, *exten, *priority, *dial, *dialtech, *dialstr;
 	char *template, *tpl_working, *tpl_current;
 	char *tmp[100];
+	char buf[11];
 	int looptemp=0,i=0;
 	char *s,*orig_s;
 
@@ -184,8 +187,10 @@
 
 	/* Now place the call to the extention */
 
+	snprintf(buf, sizeof(buf), "%i", lot);
 	memset(&oh, 0, sizeof(oh));
 	oh.parent_channel = chan;
+	oh.vars = ast_variable_new("_PARKEDAT", buf);
 	dchan = __ast_request_and_dial(dialtech, AST_FORMAT_SLINEAR, dialstr,30000, &outstate, chan->cid.cid_num, chan->cid.cid_name, &oh);
 
 	if(dchan) {
